MKDOS33FS(1)

NAME
mkdos33fs - create Apple II DOS 3.3 filesystems in a .dsk image

SYNOPSIS
mkdos33fs [-h] [-t tracks] [-s sectors] [-b blocksize] [-d filename] <image.dsk>

DESCRIPTION
mkdos33fs creates an Apple II DOS 3.3 formatted disk image, and optionally copies the boot record from an external file to make a bootable disk.

By default, a standard 5 1/4" DOS 3.3 image is created, with 35 tracks, 16 sectors/track, and 256 bytes per sector.

OPTIONS

-h  Shows help message.

-t <tracks>
    Create image with this many tracks (default 35). Must be at least 18. Maximum number is determined by the formula (block_size-0x38)/2).

-s <sectors>
    Create image with this many sectors per track (default 16). Must be between 2 and 32.

-s <block_size>
    Create image with this many bytes per sector (default 256, which is also the minimum size). Non-standard block sizes are allowed (up to 65536), but generally aren't supported by actual Apple hardware or DOS.

-d <file>
    Copy 3 sectors' worth of data from file. This can be used to create bootable images, which will slightly reduce the amount of free space in the image's filesystem.

SEE ALSO

dos33fsprogs(1)
a2tools(1)

WEBSITE
http://www.deater.net/weave/vmwprod/apple/

AUTHORS
dos33fstools written by Vince Weaver <vince _at_ deater.net>.

This manual page written by B. Watson for the SlackBuilds.org project, but it may be used by anyone.